## symfit 0.5.4

=== requirements.txt ===
numpy >= 1.12
scipy >= 1.0
sympy >= 1.2
toposort
setuptools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
DOCTREESDIR   = _doctrees

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(DOCTREESDIR) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/symfit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/symfit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/symfit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/symfit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
symfit (0.5.4-1) unstable; urgency=medium

  * Initial release (Closes: #963503)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 13:30:47 +0200

=== debian/control ===
Source: symfit
Section: python
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Uploaders: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-setuptools,
               python3-pbr,
               python3-pytest,
               python3-numpy,
               python3-scipy,
               python3-six,
               python3-sympy,
               python3-toposort,
               pandoc,
               python3-ipykernel,
               python3-matplotlib,
               python3-nbsphinx,
               python3-sphinx,
               python3-doc,
               python-sympy-doc,
               python-scipy-doc,
               python-matplotlib-doc,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/science-team/symfit.git
Vcs-Browser: https://salsa.debian.org/science-team/setzer
Homepage: https://github.com/tBuLi/symfit
Testsuite: autopkgtest-pkg-python

Package: python3-symfit
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: Symbolic Fitting in Python, fitting as it should be
 The goal of this project is simple: to make fitting in Python pythonic.
 .
 The project aims to marry the power of scipy.optimize with the readability of
 sympy to create a highly readable and easy to use fitting package which works
 for projects of any scale.

Package: python3-symfit-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using},
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax,
         libjs-requirejs,
         python3-doc,
         python-sympy-doc,
         python-scipy-doc,
         python-matplotlib-doc,
Description: Symbolic Fitting in Python, fitting as it should be - documentation
 The goal of this project is simple: to make fitting in Python pythonic.
 .
 The project aims to marry the power of scipy.optimize with the readability of
 sympy to create a highly readable and easy to use fitting package which works
 for projects of any scale.
 .
 This package contains documentation for the symfit library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=../.. IPYTHONDIR=../../docbuilddir python3 -m sphinx -N -bhtml docs/ docbuilddir/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%symfit-$1.tar.gz%" \
    https://github.com/tBuLi/symfit/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## symfit 0.5.5

=== debian/changelog ===
symfit (0.5.5-2ubuntu1) lunar; urgency=medium

  * Relax tolerance to fix tests with NumPy 1.24

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Jan 2023 13:12:58 +0000

symfit (0.5.5-2) unstable; urgency=medium

  * Team Upload.
  * Remove dep on matplotlib-doc and replace local
    sphinx inventory with URL (Closes: #1027245)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 Jan 2023 12:43:48 +0530

symfit (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 10 Apr 2022 13:17:59 +0200

symfit (0.5.4-2) unstable; urgency=medium

  * Added autopkgtest
  * Removed visible build dir from documentation

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 03 Mar 2022 23:03:54 +0100

=== debian/control ===
Source: symfit
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-pbr,
 python3-pytest,
 python3-numpy,
 python3-scipy,
 python3-six,
 python3-sympy,
 python3-toposort,
 pandoc,
 python3-ipykernel,
 python3-matplotlib,
 python3-nbsphinx,
 python3-sphinx,
 python3-doc,
 python-sympy-doc,
 python-scipy-doc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/science-team/symfit.git
Vcs-Browser: https://salsa.debian.org/science-team/symfit
Homepage: https://github.com/tBuLi/symfit

Package: python3-symfit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Symbolic Fitting in Python, fitting as it should be
 The goal of this project is simple: to make fitting in Python pythonic.
 .
 The project aims to marry the power of scipy.optimize with the readability of
 sympy to create a highly readable and easy to use fitting package which works
 for projects of any scale.

Package: python3-symfit-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax,
 libjs-requirejs,
 python3-doc,
 python-sympy-doc,
 python-scipy-doc
Description: Symbolic Fitting in Python, fitting as it should be - documentation
 The goal of this project is simple: to make fitting in Python pythonic.
 .
 The project aims to marry the power of scipy.optimize with the readability of
 sympy to create a highly readable and easy to use fitting package which works
 for projects of any scale.
 .
 This package contains documentation for the symfit library.

## symfit 0.5.6

=== debian/changelog ===
symfit (0.5.6-2ubuntu1) noble; urgency=medium

  * Drop unused python3-six dependency, see #1064601
  * Fix several instances of SyntaxWarning: invalid escape sequence
  * Do not fail test_minimizers with NumPy 1.26, see #1067234

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Apr 2024 21:49:51 +0000

symfit (0.5.6-2) unstable; urgency=medium

  * Team upload
  * Relax tolerance to fix tests with NumPy 1.24

 -- Graham Inggs <ginggs@debian.org>  Thu, 15 Jun 2023 14:06:15 +0000

symfit (0.5.6-1) unstable; urgency=medium

  * New upstream version 0.5.6

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 06 Mar 2023 19:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-pytest,
  python3-numpy,
  python3-scipy,
- python3-six,
  python3-sympy,
  python3-toposort,
  pandoc,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=../.. IPYTHONDIR=../../docbuilddir python3 -m sphinx -N -b html docs/ docbuilddir/html
	debian/fix_repro_post_build.sh

override_dh_auto_test:
	dh_auto_test

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, python3-matplotlib

=== debian/watch ===
version=4
https://github.com/tBuLi/symfit/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
